Summary: The GateD routing daemon.
Name: gated
Version: 3.5.11
Release: 6mdk
Copyright: distributable
Group: System/Servers
Source0: ftp://ftp.gated.org/net-research/gated/gated-%{version}.tar.bz2
Source1: gated-3.5.10-init
Source2: gated-3.5.10-Config
Source3: gated-3.5.10-gated.conf
Source4: gated-3.5.9-krt_ifread_ioctl.c
Patch0: gated-3.5.7-linux.patch.bz2
Patch1: gated-3.5.10-glibc.patch.bz2
# this patch is a bit silly. (config file is in source2!)
Patch2: gated-3.5.10-config.patch.bz2
Patch5: gated-3.5.x-linuxmc.patch.bz2
Patch6: gated-3.5.10-ospfmonauth.patch.bz2
Patch7: gated-3.5.10-vaarg.patch.bz2

Buildroot: %{_tmppath}/%{name}-buildroot
Prereq: /sbin/chkconfig
Url: http://www.gated.org/
Conflicts: routed

%description
GateD is a modular software program consisting of core services, a
routing database, and protocol modules which support multiple routing
protocols (RIP versions 1 and 2, DCN HELLO, OSPF version 2, EGP version 2,
BGP versions 2 through 4).  GateD is designed to handle dynamic routing
with a routing database built from the information exchanged by routing
protocols.

Install gated if you need a routing daemon.

%prep
%setup -q -n gated-3-5-11

# patch0 not applied
%patch1 -p1 -b .glibc
%patch2 -p1 -b .config
# patch3 doesn't exist
# patch 4 not applied
%patch5 -p1
%patch6 -p1
%patch7 -p1

cd src
cp %SOURCE4 krt_ifread_ioctl.c

mkdir obj.`util/archtype`
#cp configs/linux-2.0 obj.`util/archtype`/Config
cp %SOURCE2 obj.`util/archtype`/Config

%build
cd src
make config
make CC=gcc 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}

%makeinstall	\
	-C src \
    BINDIR=$RPM_BUILD_ROOT%{_bindir} \
    SBINDIR=$RPM_BUILD_ROOT%{_sbindir}

make MANDIR=$RPM_BUILD_ROOT%{_mandir} install-man

install -m 0755 -d $RPM_BUILD_ROOT/var/gated
install -m 0755 %SOURCE1 $RPM_BUILD_ROOT%{_initrddir}/gated
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/gated.conf.sample
# this should not be nessesary, but it is :-(
install -m 0755 src/obj.`src/util/archtype`/gdc $RPM_BUILD_ROOT%{_bindir}/gdc

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*

%post
%_post_service %name

%preun
%_preun_service %name


%files
%defattr(-,root,root)
%{_sbindir}/gated
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man8/*
/var/gated

%doc Acknowledgements BUGS CHANGES CHANGES.1
%doc Copyright Copyright.ISIS Copyright.OSPF Licensing
%doc INSTALL ISIS-config.ps README README.bgp README.make RELEASE TODO
%doc conf doc src/configs/linux-README
%doc man/gated-2.0-impl.txt

%config %{_initrddir}/gated
%config %{_sysconfdir}/gated.conf.sample

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Tue Apr 03 2001 Francis Galiegue <fg@mandrakesoft.com> 3.5.11-6mdk

- Use of %%_{post,preun}_service


* Wed Aug 30 2000 Francis Galiegue <fg@mandrakesoft.com> 3.5.11-5mdk

- Conflicts: routed

* Sun Aug 06 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.5.11-4mdk
- macroszifications
- BM

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.5.11-3mdk
- ppc va_arg patch

* Thu May 18 2000 Denis Havlik <denis@mandrakesoft.com> 3.5.11-2mdk
- forced install of gdc (gated does not start withouth it) 

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 3.5.11-1mdk
- 3.5.11
- fixed groups
- spec helper

* Wed Nov 10 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed version in specfile
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- sample config script and init script are world readable

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- kernel-2.2 changed /proc/net/route (#1894)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- use /var/gated for generated files to avoid d-o-s attacks.

* Mon Dec  7 1998 Jeff Johnson <jbj@redhat.com>
- merge in patches from Matthew Grant <grantma@anathoth.gen.nz> (#6)

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- fix init script (#35).

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- version 3.5.10

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.5.9

* Thu Jan  8 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.5.8
- added glibc patch to aid glibc's brain-dead define of IFF_ constants 
  as enums instead of #defines
- we install now gated.conf.sample instead of gated.conf, so gated won't be
  started accidentaly anymore

* Tue Oct 27 1997 Cristian Gafton <gafton@redhat.com>
- build against glibc; added BuildRoot
